Subject: Re: [Teas] Status update on draft-ietf-teas-yang-sr-te-topo

From: "Ogaki, Kenichi" <[email-masked]>
Date: Wed, 3 Mar 2021 07:06:32 +0000

Hi Xufeng,

It's difficult for us too to understand how to use this model as te-topo model.

Could you add an example te-topo model instance to Appendix. B?
Our expectation looks like Sec. 7.2. of actn-vn-yang.

All the best,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Xufeng Liu
Sent: Thursday, February 25, 2021 2:08 AM
To: tom petch <[email-masked]>
Cc: TEAS WG <[email-masked]>
Subject: Re: [Teas] Status update on draft-ietf-teas-yang-sr-te-topo

Hi Tom,

Thank you much for the additional comments. We have posted an updated version https://tools.ietf.org/html/draft-ietf-teas-yang-sr-te-topo-09. Section 2.2 has been reworded. I'm wondering if it is any better.

Best regards,
- Xufeng

On Fri, Nov 13, 2020 at 7:34 AM tom petch <[email-masked] <mailto:[email-masked]> > wrote:

	From: Teas <[email-masked] <mailto:[email-masked]> > on behalf of Xufeng Liu <[email-masked] <mailto:[email-masked]> >
	Sent: 13 November 2020 01:04
	
	Current Status:
	
	  *  Received further valuable comments from Tom Petch.
	  *  The updated revision -08 was posted on Nov 1, 2020:
	     - Addressed some review comments from Tom
	     - Updated the reference to the latested draft-ietf-spring-sr-yang
	
	Open Issues:
	
	  *  Authors working on addressing Tom’s comments.
	
	<tp>
	And here is another comment from Tom.
	
	I can understand the detail of this I-D but have lost the big picture.  I can see 
	sr-mpls-topology
	I cannot see anything te about it apart from the title
	s.2.2 mentions l3-te-toology but gives no reference - ok I can find it but you need a reference.  What kind depends on what s.2.2 is trying to say.  The diagrams shows SR MPLS TE Topology but with no module name suggesting that there is no such module.  It talks of multiple inheritance - which is slightly odd since YANG rejected the concept of inheritance but no matter - but does not import from l3-te-topology so that module seems irrelevant to this I-D and what is s.2.2 doing in this I-D?
	I am lost, unable to see the wood for the trees to use the English metaphor.

[Xufeng]: Re-did Sec 2.2 to see if the description is any better.

	Tom Petch

	Next Steps:
	
	  *  Follow-up with Tom and resolve comments.
	  *  Welcome further reviews and suggestions.
	  *  Keep synchronized with draft-ietf-spring-sr-yang, which
	     provides several shared groupings, including srgb and srlb.
	  *  Working Group Last Call after completing the above.
	
	Thanks,
	- Xufeng

---

From: t petch <[email-masked]>
Date: Mon, 29 Mar 2021 11:05:47 +0100

On 29/03/2021 10:37, tom petch wrote:
> ________________________________________
> From: Xufeng Liu <[email-masked]>
> Sent: 24 February 2021 17:07
>
> Hi Tom,
>

Xufeng,

Yes, I am getting there but it remains a tough read.  I think that the 
problem is partly that the work of TEAS lacks an overall structure and 
that, with hindsight, the organisation could be more rational but that 
is the way that the IETF works and is not going to change; and this 
brings together many different technologies, some of which I am 
comfortable with, others not.  It makes references to other documents 
more necessary for me.

So,
1.3 Prefixes
you need to add tet which you (rightly) use in the I-D.

2.2
/  <other netowrk / <other network/

OLD
Each type of topologies is indicated by
"network-types" defined in
    [RFC8345].

NEW
Each type of topology is indicated by
a YANG presence container which augments
"network-types" as defined in
    [RFC8345].

The five following references ae inconsistent in their use of YANG 
prefix.  I suggest including all the prefix in the path statements.

The five references need references, all of them!  The I-D for packet is 
not obvious to me.

2.5
    by augmenting the container "l3-topology-attributes" in the L3 
toplogy model.
needs a reference to the I-D IMHO.  I would like to see references in 
the subsequent sections as well, for those who are dipping into a 
section and not reading this cover-to-cover.

2.6
Wrong!  This is not the YANG module of -09!

2.7
Wrong! This is not the YANG module of -09!

3
The use of multiple presence containers stands out to me as odd.  I 
think that the reason for it (assuming there is one!) needs explaining.

4
   description "Augment only for SR topology.";
May make sense now but may not in future. Perhaps
   description "Augment only for SR MPLS topology.";
to cater for IPv6 which must be on the way. This applies to all the YANG 
'when'.

Appendix B
                  "router-id": ["203.0.113.3"],
                  "prefix": [
                    {
                      "prefix": "203.0.113.1/32",
Should that be 113.1?

Tom Petch

> Best regards,
> - Xufeng
>
> On Fri, Nov 13, 2020 at 7:34 AM tom petch <[email-masked]<mailto:[email-masked]>> wrote:
> From: Teas <[email-masked]<mailto:[email-masked]>> on behalf of Xufeng Liu <[email-masked]<mailto:[email-masked]>>